Failed to load the JNI shared library ...

描述:

Failed to load the JNI shared library ...

背景:

因为JDK自带JRE,为了节省空间,删除了单独的JRE,后来eclipse打不开。
重装之后,出现了这个问题

原因:

JDK版本和Eclipse版本不一致,JDK是32位

解决:

  • 确保版本一致
  • 环境变量配置正确

如何查看JDk版本:

黑窗口里输入命令:java -version

如何查看Eclipse版本:

记事本打开Eclipse安装目录下的文件: eclipse.ini

Eclipse和JDK版本不一致

推荐阅读更多精彩内容